Skip to main content
GET
/
1
/
slos
/
{datasetSlug}
/
{sloId}
/
counts
/
history
Get SLO Hourly Counts History
curl --request GET \
  --url https://api.honeycomb.io/1/slos/{datasetSlug}/{sloId}/counts/history \
  --header 'X-Honeycomb-Team: <api-key>'
import requests

url = "https://api.honeycomb.io/1/slos/{datasetSlug}/{sloId}/counts/history"

headers = {"X-Honeycomb-Team": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-Honeycomb-Team': '<api-key>'}};

fetch('https://api.honeycomb.io/1/slos/{datasetSlug}/{sloId}/counts/history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "slo_id": "bZ1aRHAUsjG",
  "resolution_seconds": 3600,
  "buckets": [
    {
      "start_time": 1745168400,
      "end_time": 1745172000,
      "total_count": 74520,
      "error_count": 182,
      "is_partial": false
    },
    {
      "start_time": 1745172000,
      "end_time": 1745175600,
      "total_count": 71043,
      "error_count": 97,
      "is_partial": false
    },
    {
      "start_time": 1745251200,
      "end_time": 1745254800,
      "total_count": 12300,
      "error_count": 14,
      "is_partial": true
    }
  ]
}
{
"status": 400,
"type": "https://api.honeycomb.io/problems/unparseable",
"title": "The request body could not be parsed.",
"error": "invalid gzip data"
}
{
"error": "<string>"
}
{
"error": "<string>"
}
{
"error": "<string>"
}
{
"error": "Rate Limited"
}
{
"error": "<string>"
}

Authorizations

X-Honeycomb-Team
string
header
required

Authenticate using a Honeycomb Configuration Key.

Pass the Token in the X-Honeycomb-Team header:

X-Honeycomb-Team: 1234567890123456789012

If you created your key using the API, use data.attributes.secret; this is the same value as the Token in the UI.

To learn how to create a Configuration Key, visit Manage Environment API Keys. To learn more about authenticating requests, visit API Authentication.

Path Parameters

datasetSlug
string
required

The dataset slug or use __all__ for endpoints that support environment-wide operations.

sloId
string
required

Unique identifier (ID) of the SLO.

Query Parameters

start_time
integer
required

Start of the time range as a Unix timestamp (seconds).

end_time
integer
required

End of the time range as a Unix timestamp (seconds). Must be greater than start_time.

Response

Success

slo_id
string
read-only

The unique identifier of the SLO.

Example:

"bZ1aRHAUsjG"

resolution_seconds
integer
read-only

The width of each bucket in seconds. Always 3600.

Example:

3600

buckets
object[]

Ordered list of hourly count buckets within the requested time range. Gaps indicate hours with no recorded data. An empty array means no data exists for the requested range.